import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CheckpointsPolicyQuestionsComponent implements OnInit {
    checkPointQuestions: any;
    changeMax: EventEmitter<any>;
    requiredPoint: number;
    requiredPointChange: EventEmitter<any>;
    set checkpointDetails(value: any);
    saveValidQuestions: EventEmitter<any>;
    activeQuestionIndex: number;
    constructor();
    ngOnInit(): void;
    errorTracker: any;
    rightAnswerIndex: any;
    /**
     * Changes active question index
     * @param index
     */
    changeActiveQuestion(index: number): void;
    cloneQuestion(index: any, isBlank?: boolean): void;
    addOption(questionIndex: number, optionIndex: number): void;
    deleteOption(questionIndex: number, optionIndex: number): void;
    focusAnOption(questionIndex: number, optionIndex: number): void;
    deleteOnBackspace(questionIndex: number, optionIndex: number): void;
    deleteQuestion(questionIndex: number): void;
    selectRightAnswer(evt: any, index: number, answerIndex: string): void;
    reValidate(questionIndex: number): void;
    saveCheckPoint(): Promise<void>;
    mapRightAnswers(): void;
    validateForm(): Promise<boolean>;
    isOptionValid(options: any): boolean;
    checkDuplicate(arr: any): boolean;
    trackByFn(index: any, item: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckpointsPolicyQuestionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckpointsPolicyQuestionsComponent, "app-checkpoints-policy-questions", never, { "requiredPoint": { "alias": "requiredPoint"; "required": false; }; "checkpointDetails": { "alias": "checkpointDetails"; "required": false; }; }, { "changeMax": "changeMax"; "requiredPointChange": "requiredPointChange"; "saveValidQuestions": "saveValidQuestions"; }, never, never, false, never>;
}
